import request from '@/utils/request'
const baseUrl = import.meta.env.VITE_APP_PRODUCTION_API

// 查询分选包装审核申请列表
export function listExamine(query) {
  return request({
    url:baseUrl+  '/business/examine/list',
    method: 'get',
    params: query
  })
}

export function getDeptList(data) {
  return request({
    url:baseUrl+  '/business/examine/getDeptList',
    method: 'post',
    data: data
  })
}

// 查询分选包装审核申请详细
export function getExamine(id) {
  return request({
    url:baseUrl+  '/business/examine/' + id,
    method: 'get'
  })
}
// 通过箱号查询报工信息
export function getDayworkItemByCarrierName(data) {
  return request({
    url:baseUrl+  '/business/examine/getDayworkItemByCarrierName',
    method: 'post',
    data: data
  })
}

// 新增分选包装审核申请
export function addExamine(data) {
  return request({
    url:baseUrl+  '/business/examine',
    method: 'post',
    data: data
  })
}

// 修改分选包装审核申请
export function updateExamine(data) {
  return request({
    url:baseUrl+  '/business/examine',
    method: 'put',
    data: data
  })
}
export function multiplyEdit(data) {
  return request({
    url:baseUrl+  '/business/examine/multiplyEdit',
    method: 'put',
    data: data
  })
}
// 删除分选包装审核申请
export function delExamine(id) {
  return request({
    url:baseUrl+  '/business/examine/' + id,
    method: 'delete'
  })
}
